## org.springframework.aop.target
Interface ThreadLocalTargetSourceStats

All Known Implementing Classes:
  ThreadLocalTargetSource

    public interface ThreadLocalTargetSourceStats

Statistics for a ThreadLocal TargetSource.

Author:
  Rod Johnson, Juergen Hoeller

Method Summary
`int` `getHitCount()` Return the number of hits that were satisfied by a thread-bound object.
`int` `getInvocationCount()` Return the number of client invocations.
`int` `getObjectCount()` Return the number of thread-bound objects created.

Method Detail

### getInvocationCount

    int getInvocationCount()

  Return the number of client invocations.

### getHitCount

    int getHitCount()

  Return the number of hits that were satisfied by a thread-bound object.

### getObjectCount

    int getObjectCount()

  Return the number of thread-bound objects created.

Copyright © 2002-2008 The Spring Framework.